<?php
// incluir archivos
require_once "Auth/OpenID/Consumer.php";
require_once "Auth/OpenID/FileStore.php";
require_once "Auth/OpenID/SReg.php";
include 'config.php'; // contiene datos de conexin a nuestra base de datos MySQL

// iniciar sesin (necesario para YADIS y para nuestro sistema de autentificacin)
session_start();

// directorio de almacenamiento OpenID
$almacenamiento = new Auth_OpenID_FileStore('./oid_store');

// crear el cliente OpenID y leer las respuestas del servidor OpenID
$cliente = new Auth_OpenID_Consumer($almacenamiento);
$respuesta = $cliente->complete($openid_return);

// establecer las variables de sesin dependiendo del resultado de la autentificacin
if ($respuesta->status == Auth_OpenID_SUCCESS) {
  $_SESSION['OPENID_AUTH'] = true; // autentificacin correcta

  // obtener los datos del usuario en su cuenta OpenID
  $sreg = new Auth_OpenID_SRegResponse();
  $obj = $sreg->fromSuccessResponse($respuesta);
  $info = $obj->contents(); // $info["email"], $info["nick"], $info["fullname"]....
  // print_r($info);

  if ($info["email"]) {
    // comprobamos si el email existe en nuestra base de datos, en tal caso, el usuario ya tiene una
    // cuenta en nuestra web y establecemos las variables de sesin
    $sql = mysql_query("SELECT nick FROM usuarios WHERE email='".$info["email"]."'");
    if (mysql_num_rows($sql)) {
      $sql_ok=mysql_fetch_array($sql);
      $_SESSION["sLogin"] = true;
      $_SESSION["sNick"] = $sql_ok["nick"];
      die('Bienvenido a casa. Accede a la <a href="zona-restringida.php">zona restringida</a>');
    }else {
      // si el email no existe en nuestra BD se trata de un nuevo usuario. Tendremos que mostrar al
      // usuario un formulario de registro para que inserte los datos de su cuenta que OpenID no proporciona.
      // por ejemplo, podriamos necesitar en nuestra base de datos la direccion postal de nuestros usuarios,
      // ya y que OpenID no proporciona este dato lo deberemos solicitar.
      $_SESSION["nuevoOID"] = true;
      $_SESSION["oidNick"] = ($info["nickname"]) ? $info["nickname"] : '';
      $_SESSION["oidEmail"] = ($info["email"]) ? $info["email"] : '';
      // en el formulario de registro de nuevo usuario establecemos por defecto los datos del usuario
      // que recibimos con OpenID como pudieran ser el nick, el email, el nombre completo...
      // para ello creamos las sesiones que contendrn estos datos.
      // En este formulario indicaremos al usuario que seleccione su signo del zodiaco como un
      // dato complementario que OpenID no proporciona y que necesitamos para nuestra web
      header ('location: formulario-registro.php');
    }

  }else {
    // OpenID no ha devuelto una direccin de email, en nuestro sistema de usuarios es imprescindible.
    die('OpenID no ha devuelto tu direccin de email. Es necesario que establezcas tu email en tu cuenta OpenID para hacer uso de OpenID en nuestra web.');
  }

} else {
  // el servidor OpenID ha devuelto una autentificacin fallida
  $_SESSION['OPENID_AUTH'] = false;
  die('La autentificacin OpenID ha fallado. <a href="conectar.php">Intntalo de nuevo</a>');
}

?>
