<?php
/*
 *      
 *      Copyright 2011 Grupo de usuarios Ubuntu Linux Uruguay 
 * 		Pablo Capeluto <pcapeluto@ubuntu.org.uy>
 * 		Pablo Rubianes
 *		Luciano Facchinelli
 *		magu42
 *		EduardoR - La Nave
 *
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 *      
*/

// Novedades de página inicial
define("N_ID",0);
define("N_DATE",1);
define("N_TITULO",2);
define("N_IMG",3);
define("N_LINK",4);
define("N_TEXTO",5);

function xml_character_encode($string, $trans='') {

	$trans = (is_array($trans)) ? $trans : get_html_translation_table(HTML_ENTITIES, ENT_QUOTES);
	foreach ($trans as $k=>$v) {
		$trans[$k]= "&#".ord($k).";";
	}
	return strtr($string, $trans);
} 

?>
<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
        <title>Ubuntu Uruguay Oficial LoCO Team</title>
    
        <link rel="shortcut icon" href="images/favicon.ico" type="image/ico">
        <link rel="icon" href="images/favicon.ico" type="image/ico">
    
        <!-- stylesheets -->
        <!--[if !IE ]><!-->
        <link rel="stylesheet" type="text/css" href="css/default.css">
        <!--<![endif]-->
    
        <!--[if gte IE 7]>
        <link rel="stylesheet" type="text/css" href="css/ie.css">
        <![endif]-->
    
        <!--[if IE 6 ]>
        <link rel="stylesheet" type="text/css" href="css/ie6.css" media="screen, projection">
        <![endif]-->
    
        <!--[if IE ]>
        <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        <script src="js/ventanas.js"></script>
		<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Ubuntu:regular,bold&subset=Latin">
        
        <!-- Sección necesaria para cargar elaces en ventanas popup Highslide-->
	    <script type="text/javascript" src="./highslide/highslide-with-html.js"></script>
	    <link rel="stylesheet" type="text/css" href="./highslide/highslide.css">
        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
        <script type="text/javascript" src="js/main.js"></script>
		<link rel="alternate" type="application/rss+xml" href="rss.php" title="El Canal RSS de Ubuntu Uruguay">
        <link rel="stylesheet" href="slide/flexslider.css" type="text/css" media="screen">
        <script src="slide/js/jquery.flexslider.js" type="text/javascript"></script>

        <script type="text/javascript">
		  hs.graphicsDir = './highslide/graphics/';
		  hs.outlineType = 'rounded-white';
		  hs.wrapperClassName = 'draggable-header';
		  
		  $(window).load(function() {
			$('.flexslider').flexslider();
			});
        </script>
    </head>
    
    <!-- Comienza el body -->
    <body id="home">
        <?php 
            include ("menu.php"); # Se carga el menú superior
        ?>
        <section id="main-section">
            <div class="container" >
                <section id="showcase">
                    <section class="showcase-item">
                        <h2 class="showcase-heading">Ubuntu 11.10 liberado</h2>
                        <h3 class="showcase-subheading">¿Qué esperas para descargarlo?</h3>
                        <p class="showcase-text">Ubuntu un Sistema operativo rápido seguro y fácil de usar, con millones de instalaciones en todo el mundo, con comunidades locales en más de 100 países, gratuito y LIBRE.<br>
                        <strong>En Uruguay Ubuntu también tiene su lugar</strong></p>
                            <table style="text-align: left; width: 100%;">
                            <tbody> 
                                <tr>
                                    <td style="vertical-align: top; width: 50%; text-align: center;">
                                        <a href="http://releases.ubuntu.com/11.10/ubuntu-11.10-desktop-i386.iso.torrent">
                                        <img style="width: 150px; height: 150px;" alt="Ubuntu 11.10 CD" src="http://shop.canonical.com/images/s/1110_desktop_visual.jpg"><br>
                                        <span style="font-family: Ubuntu;">Ubuntu 11.10<br>32 bits - torrent</span></a>
                                    </td>
                                    <td style="vertical-align: top; text-align: center;">
                                        <a href="http://releases.ubuntu.com/kubuntu/11.10/kubuntu-11.10-desktop-i386.iso.torrent">
                                        <img style="width: 150px; height: 150px;" alt="Kubuntu 11.10 CD" src="http://shop.canonical.com/images/s/1110_kubuntu_visual.jpg"><br>
                                        <span style="font-family: Ubuntu;">Kubuntu 11.10<br>32 bits - torrent</span></a>
                                    </td>
                                </tr>
                            </tbody>
                        </table> 
                    </section>
                    <figure class="showcase-figure">
                        <div id="container">
                    		<div class="flexslider">
                    		    <ul class="slides">
<?php
	$file = fopen("novedades.csv","r") or exit("Unable to open news database!");
	while(! feof($file)) {
		$arrayNov=fgetcsv($file,0,";");
		if ($arrayNov[N_DATE]<>"") { // evita que un renglon vacío genere un elemento de slide
			echo '<li>'. PHP_EOL;
			echo ' <a href="blog.php?id=' . $arrayNov[N_ID] . '">'. PHP_EOL;
			echo ' <img src="slide/img/' . $arrayNov[N_IMG] . '" width="450">'. PHP_EOL;
			echo ' <p class="flex-caption">' . xml_character_encode($arrayNov[N_TITULO]) . '</p></a>'. PHP_EOL;
			echo '</li>'. PHP_EOL;
		}
	}	  
?>
                    		    </ul>
                    	  	</div>
                    	</div>
                    </figure>
                    <hr class="divide">
                </section>
                <section id="content">
                <!-- all column wide content -->
                        <table style="text-align: center; width: 100%;">
                            <tbody>
                                <tr>
                                    <td><a href="https://www.facebook.com/groups/41077226279/" title="Facebook"><img class="redsocial" src="images/facebook.png"></a>
                                    </td>
                                    <td><a href="https://plus.google.com/u/1/100730390450575319673/posts" title="Google+"><img class="redsocial" src="images/g+.png"></a>
                                    </td>
                                    <td><a href="https://twitter.com/ubuntu_uy" title="Twitter"><img class="redsocial" src="images/twitter.png"></a>
                                    </td>
                                    <td><a href="http://identi.ca/ubuntuuy" title="identi.ca"><img class="redsocial" src="images/identica.png"></a>
                                    </td>
                                    <td><a href="irc.php" title="Chat IRC"><img class="redsocial" src="images/irc.png"></a>
                                    </td>
                                    <td><a href="https://lists.ubuntu.com/mailman/listinfo/ubuntu-uy" title="Lista de mails"><img class="redsocial" src="images/mail.png"></a>
                                    </td>
                                    <td><a href="rss.php" title="Canal RSS"><img class="redsocial" src="images/rss.png"></a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>	               
                    <hr class="divide">
                    <!-- two columns  content

                    <article class="minor-content alone">
                        <h4></h4>
                        <p>
   
                        </p>
	               </article>

                   <article class="minor-content alone">
                        <h4></h4>
                        <p>
   
                        </p>
	               </article> -->
                    <hr class="divide">
                    <?php include ('footer.php'); # Se carga el pié de página ?>
                </section>
            </div>
        </section>
    </body>
</html>
